summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2019-10-09 18:42:06 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2019-10-09 18:42:15 +0200
commitff5e4823deb6fc7a03c0173f02abc506e800f04d (patch)
tree8a83bc1be0e9e82e6281fb2d2e16ab5a4dbfe3b9
parent5b8a6068f9e634bacea5ce99e7c71bcf796a6ab6 (diff)
require gnu cpio and build it
-rwxr-xr-xscripts/prereq.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index f86af6435..b9a47458c 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -596,11 +596,15 @@ fi
printf " ---> checking if cpio is installed.. "
host_build_cpio=0
-if ! which cpio >/dev/null 2>&1; then
+if which cpio >/dev/null 2>&1; then
+ if ! cpio --version 2>/dev/null|grep GNU >/dev/null;then
+ printf "found but not usable\n"
+ host_build_cpio=1
+ else
+ printf "found\n"
+ fi
printf "not found\n"
host_build_cpio=1
-else
- printf "found\n"
fi
printf " ---> checking if xz is installed.. "